MS08-043 / MS08-051: Vulnerabilities in Microsoft Could Allow Remote Code Execution (954066 / 949785) (Mac OS X)

High Nessus Plugin ID 50058

Synopsis

An application installed on the remote Mac OS X host is affected by multiple remote code execution vulnerabilities.

Description

The remote Mac OS X host is running a version of Microsoft Office that is affected by several vulnerabilities.

If an attacker can trick a user on the affected host into opening a specially crafted Excel or PowerPoint file, these issues could be leveraged to execute arbitrary code subject to the user's privileges.

Solution

Microsoft has released a set of patches for Office 2004 for Mac and Office 2008 for Mac.

See Also

http://technet.microsoft.com/en-us/security/bulletin/ms08-043

http://technet.microsoft.com/en-us/security/bulletin/ms08-051

Plugin Details

Severity: High

ID: 50058

File Name: macosx_ms_office_aug2008.nasl

Version: 1.18

Type: local

Agent: macosx

Published: 2010/10/20

Updated: 2018/07/14

Dependencies: 12634

Risk Information

Risk Factor: High

CVSS v2.0

Base Score: 7.6

Temporal Score: 6.3

Vector: CVSS2#AV:N/AC:H/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:F/RL:OF/RC:C

Vulnerability Information

CPE: cpe:/a:microsoft:office:2004::mac, cpe:/a:microsoft:office:2008::mac

Required KB Items: Host/MacOSX/packages, Host/uname

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2008/08/12

Vulnerability Publication Date: 2008/08/12

Exploitable With

Core Impact

Reference Information

CVE: CVE-2008-1455, CVE-2008-3003, CVE-2008-3004, CVE-2008-3005, CVE-2008-3006

BID: 30579, 30638, 30639, 30640, 30641

MSFT: MS08-043, MS08-051

MSKB: 949785, 954066, 956343, 956344

CWE: 399